Package org.apache.tapestry5.internal.services

# Class IdentityAssetPathConverter

java.lang.Object
org.apache.tapestry5.internal.services.IdentityAssetPathConverter

All Implemented Interfaces:
  `AssetPathConverter`

public class IdentityAssetPathConverter extends Object implements AssetPathConverter
Returns the default asset path unchanged. This is an invariant converter.

Since:
  5.1.0.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdentityAssetPathConverter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `convertAssetPath(String assetPath)`
  Converts the default asset client URI to its final form, ready to be sent to the client.
  `boolean`
  `isInvariant()`
  Returns true if the converter returns the exact same converted path for any specific asset path (in which case, the converted asset path may be cached in component instance variables more aggressively).

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdentityAssetPathConverter

    public IdentityAssetPathConverter()

- ## Method Details

  - ### isInvariant

    public boolean isInvariant()
    Description copied from interface: `AssetPathConverter`
    Returns true if the converter returns the exact same converted path for any specific asset path (in which case, the converted asset path may be cached in component instance variables more aggressively). This value should be false if the converted path can vary for the same input path ... that is, if external factors (such as the identity of the user, or information obtained from the request) is involved in generating the final client URI. With a CDN this can sometimes be the case, where the user's identity may indicate which CDN server to vend the asset from.
    Specified by:
      `isInvariant` in interface `AssetPathConverter`
    Returns:
      true

  - ### convertAssetPath

    public String convertAssetPath(String assetPath)
    Description copied from interface: `AssetPathConverter`
    Converts the default asset client URI to its final form, ready to be sent to the client. The default asset path is an absolute path (it starts with a leading slash) and incorporates the context path if any.
    Specified by:
      `convertAssetPath` in interface `AssetPathConverter`
    Parameters:
      `assetPath` - default asset path
    Returns:
      assetPath unchanged